#ifndef MAPMET_H
#define MAPMET_H

#include <QMainWindow>
#include <QVector>
#include "mserver.h"
#include "mevaluator.h"

namespace Ui {
    class Mapmet;
}

class Mapmet : public QMainWindow
{
    Q_OBJECT

public:
    explicit Mapmet(QWidget *parent = 0);
    void setSendButton(bool val);
    void setStatusBar(QString val, int to);
    ~Mapmet();

private:
    Ui::Mapmet *ui;
    MServer * m_server;
    MEvaluator * e_thread;
    QVector<QString> message_array;

private slots:
    void on_sendButton_clicked();
    void on_actionAbout_triggered();
    void on_actionExit_triggered();
};


#endif // MAPMET_H
