#ifndef MSERVER_H
#define MSERVER_H

#include <QStringList>
#include <QTcpServer>
#include <QTcpSocket>
#include <QPushButton>

class MServer : public QTcpServer
{
    Q_OBJECT

public:
    MServer(QObject *parent = 0);
    void sendMsg(QString sender, QString message);
    void closeSocket();

    QTcpSocket sck;

public slots:
    void discHandler();

protected:
    QPushButton * sendButton;
    QObject * parent;
    void incomingConnection(int socketDescriptor);

};


#endif // MSERVER_H
